Magick::ColorYUV Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorYUV:
[legend]
Collaboration diagram for Magick::ColorYUV:
[legend]

## Public Member Functions

| ColorYUV (void)
| ColorYUV (const Color &color_)
| ColorYUV (const double y_, const double u_, const double v_)
| ~ColorYUV (void)
ColorYUV & | operator= (const Color &color_)
void | u (const double u_)
double | u (void) const
void | v (const double v_)
double | v (void) const
void | y (const double y_)
double | y (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions

| ColorYUV (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members

Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel, CMYKAPixel, RGBPixel, RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 403 of file Color.h.

## Constructor & Destructor Documentation

## ColorYUV() [1/4]

Magick::ColorYUV::ColorYUV | ( | void |  | ) |

Definition at line 861 of file Color.cpp.

## ColorYUV() [2/4]

Magick::ColorYUV::ColorYUV | ( | const Color & | color_ | ) |

Definition at line 866 of file Color.cpp.

## ColorYUV() [3/4]

Magick::ColorYUV::ColorYUV | ( | const double | y_,
|  | const double | u_,
|  | const double | v_
| ) |  |

Definition at line 871 of file Color.cpp.

## ~ColorYUV()

Magick::ColorYUV::~ColorYUV | ( | void |  | ) |

Definition at line 877 of file Color.cpp.

## ColorYUV() [4/4]

Magick::ColorYUV::ColorYUV | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_
| ) |  |

protected

Definition at line 927 of file Color.cpp.

## Member Function Documentation

## operator=()

Magick::ColorYUV & Magick::ColorYUV::operator= | ( | const Color & | color_ | ) |

Definition at line 881 of file Color.cpp.

## u() [1/2]

void Magick::ColorYUV::u | ( | const double | u_ | ) |

Definition at line 887 of file Color.cpp.

## u() [2/2]

double Magick::ColorYUV::u | ( | void |  | ) | const

Definition at line 892 of file Color.cpp.

## v() [1/2]

void Magick::ColorYUV::v | ( | const double | v_ | ) |

Definition at line 898 of file Color.cpp.

## v() [2/2]

double Magick::ColorYUV::v | ( | void |  | ) | const

Definition at line 903 of file Color.cpp.

## y() [1/2]

void Magick::ColorYUV::y | ( | const double | y_ | ) |

Definition at line 909 of file Color.cpp.

## y() [2/2]

double Magick::ColorYUV::y | ( | void |  | ) | const

Definition at line 914 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp